## org.apache.tools.ant.taskdefs.condition
Interface Condition

All Known Implementing Classes:
  And, AntVersion, Available, Checksum, Contains, Equals, FilesMatch, HasFreeSpace, HasMethod, Http, IsFailure, IsFalse, IsFileSelected, IsReachable, IsReference, IsSet, IsSigned, IsTrue, Length, Matches, Not, Or, Os, ParserSupports, ResourceCount, ResourcesMatch, ScriptCondition, Socket, TypeFound, UpToDate, Xor

    public interface Condition

Interface for conditions to use inside the <condition> task.

Method Summary
`boolean` `eval()` Is this condition true?

Method Detail

### eval

    boolean eval()
                 throws BuildException

  Is this condition true?

  Returns:
    true if the condition is true
  Throws:
    `BuildException` - if an error occurs